summaryrefslogtreecommitdiff
path: root/contrib/competitions/casc/run-script-cascj10-thf
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/competitions/casc/run-script-cascj10-thf')
-rwxr-xr-xcontrib/competitions/casc/run-script-cascj10-thf44
1 files changed, 44 insertions, 0 deletions
diff --git a/contrib/competitions/casc/run-script-cascj10-thf b/contrib/competitions/casc/run-script-cascj10-thf
new file mode 100755
index 000000000..741c7c411
--- /dev/null
+++ b/contrib/competitions/casc/run-script-cascj10-thf
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+# script is used for THF division
+
+here=`dirname $0`
+cvc4=$here/cvc4
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc4-thf casc j10 : $bench at $2..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc4 --lang=tptp --no-type-checking --no-interactive --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc4 --lang=tptp --no-type-checking --no-interactive --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 300 seconds
+trywith 20 --uf-ho --ho-elim --no-ho-elim-store-ax --full-saturate-quant
+trywith 20 --uf-ho --ho-elim --full-saturate-quant
+trywith 5 --uf-ho --ho-elim --finite-model-find --uf-ss=no-minimal
+trywith 5 --uf-ho --no-ho-matching --finite-model-find --uf-ss=no-minimal
+trywith 30 --uf-ho --no-ho-matching --full-saturate-quant --fs-interleave --ho-elim-store-ax
+trywith 20 --uf-ho --no-ho-matching --full-saturate-quant --macros-quant-mode=all
+trywith 30 --uf-ho --ho-elim --full-saturate-quant --fs-interleave
+trywith 30 --uf-ho --no-ho-matching --full-saturate-quant --ho-elim-store-ax
+finishwith --uf-ho --ho-elim --no-ho-elim-store-ax --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback